@include icon-black-white('reply', 'spreed', 1);
@include icon-black-white('clip-add-file', 'spreed', 1);
@include icon-black-white('menu-people', 'spreed', 1);
@include icon-black-white('no-password', 'spreed', 1);
@include icon-black-white('share-window', 'spreed', 1);
@include icon-black-white('clip-add-file', 'spreed', 1);
@include icon-black-white('bell-outline', 'spreed', 1);
@include icon-black-white('emoji-smile', 'spreed', 1);
@include icon-black-white('lobby', 'spreed', 1);

.app-Talk {
	// We always want to use the white icons, this is why we don't use var(--color-white) here.
	.icon-public {
		background-image: url(icon-color-path('public', 'actions', 'fff', 1, true));
	}
	.icon-contacts {
		background-image: url(icon-color-path('contacts', 'places', 'fff', 1, true));
	}
	.icon-password {
		background-image: url(icon-color-path('password', 'actions', 'fff', 1, true));
	}
	.icon-file {
		background-image: url(icon-color-path('text', 'filetypes', 'fff', 1, true));
	}
	.icon-mail {
		background-image: url(icon-color-path('mail', 'actions', 'fff', 1, true));
	}
	.icon-changelog {
		background-image: url('../img/changelog.svg');
	}

	.forced-white {
		&.icon-menu-people {
			background-image: url(icon-color-path('menu-people', 'spreed', 'fff', 1));
		}
		&.icon-audio {
			background-image: url(icon-color-path('audio', 'actions', 'fff', 1, true));
		}
		&.icon-audio-off {
			background-image: url(icon-color-path('audio-off', 'actions', 'fff', 1, true));
		}
		&.icon-video {
			background-image: url(icon-color-path('video', 'actions', 'fff', 1, true));
		}
		&.icon-video-off {
			background-image: url(icon-color-path('video-off', 'actions', 'fff', 1, true));
		}
		&.icon-screen {
			background-image: url(icon-color-path('screen', 'actions', 'fff', 1, true));
		}
		&.icon-screen-off {
			background-image: url(icon-color-path('screen-off', 'actions', 'fff', 1, true));
		}
	}

	.icon-favorite {
		/* Show favorite icon in yellow instead of default black. */
		@include icon-color('star-dark', 'actions', 'FC0', 1, true);
	}
}
